Subject: Re: bug#38024: 27.0.50; icomplete sometimes fails to show completions after backward-killing words

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Nov 2019 09:37:52 +0200

> From: João Távora <[email-masked]>
> Date: Sat, 02 Nov 2019 03:05:17 +0000
> Cc: [email-masked], Stefan Monnier <[email-masked]>
> 
> João Távora <[email-masked]> writes:
> 
> > Kevin, you're on the right track. The redisplay thing is not the right
> > fix, indeed. Stefan has a fix for this, which he sent me, but I can't
> > find it now.
> >
> > Anyway, it has to do with avoiding the 'select' event in
> > while-no-input.
> 
> Hi Kévin,
> 
> In the meantime, I found the patch and pushed it right away.  It worked
> better than the redisplay hack I had pushed before.
> 
> The commit you want to test with is
> 730e7da7ba6a4b545176ea246653928edb10cff4

The current master displays this warning when byte-compiling
icomplete.el:

    ELC      icomplete.elc

  In end of data:
  icomplete.el:669:1:Warning: the function `while-no-input-ignore-events' is not
      known to be defined.

while-no-input-ignore-events is not a function, it's a variable.